﻿using SolTechnology.Avro;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        List<Employee> sourceList = new List<Employee>();

        for(int i = 0; i < 100; i++)
        {
            sourceList.Add(new Employee { ID= i + 1, Name = $"직원{i + 1:d3}" });
        }

        byte[] sourceByteArray = AvroConvert.Serialize(sourceList);

        Console.WriteLine("직렬화 데이터");
        Console.WriteLine("--------------------------------------------------");
        Console.WriteLine(Convert.ToBase64String(sourceByteArray));
        Console.WriteLine("--------------------------------------------------");
        Console.WriteLine();

        string schema = AvroConvert.GetSchema(sourceByteArray);

        Console.WriteLine("스키마");
        Console.WriteLine("--------------------------------------------------");
        Console.WriteLine(schema);
        Console.WriteLine("--------------------------------------------------");
    }

    #endregion
}